/* =========================================
 * 対象ページ：旧サイトから移設してきた各カテゴリーの課題からサービスを探すトップページ
 * /bizpost/strength/domestic/solution/index.html
 * /bizpost/strength/logistics/solution/index.html
 * /bizpost/strength/overseas/solution/index.html
 * /bizpost/strength/sales_promotion/solution/index.html
 * 旧サイトのCSSだけでは対応できない部分やRN後のスタイルと不整合な部分があり、それらを補う目的で作成
 */
/* =========================================

/* これをしないと750px以下でスクロールしない */
@media screen and (max-width: 767px) {
  html,
  body {
    overflow: auto !important;
  }
}

/* パンくずの位置調整、フッターの上に移動 */
@media screen and (max-width: 767px) {
  .wrapper {
    display: flex;
    flex-direction: column;
  }

  main.page #path-box {
    order: 2;
  }
}

/* これをしないとフッター上のアイコンが崩れる */
.c-icn img {
  max-width: 100%;
}

footer.common .pagetop a {
  position: static;
}

/* main ul.service-list li a[target=_blank]:after {
  content: none !important;
} */

/* common.cssを読み込ませないとパンくずの下線も消えるため、追加 */
/* 色も異なってしまうので、追記 */
#path-box ul li a {
  text-decoration: underline;
  color: var(--color-texticon-secondary);
}
#path-box ul li a:hover {
  text-decoration: none;
}

/* 拡大モーダルの閉じるがヘッダーに隠れてしまうため調整 */
.p-modalImgZoom {
  z-index: 10000;
}

/* ================================
   Service Card : text only
================================ */

.p-serviceCard_thumb {
  height: 160px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 var(--X2S);
}

@media (max-width: 767px) {
  .p-serviceCard_thumb {
    height: 140px;
  }
}

.p-serviceCard_thumb img {
  width: 100%;
  max-height: 100%;
  object-fit: contain;
}

/* .p-serviceCard .p-serviceCard_thumb img {
  width: auto;
} */

.p-serviceCard_thumb--text {
  padding: 31px 27px;
  text-align: center;
}

.p-serviceCard_title {
  color: var(--color-primary);
  font-weight: 700;
  font-size: var(--font-xl);
  line-height: 1.4;
}

/* 現行サイトに合わせてフッター上の余白を取るように指示あり、対応 */
main.page {
  padding-bottom: 0;
}

/* .p-serviceCard_thumb_img--limited {
  max-width: 240px !important;
} */